net.minecraft.network.packet

## Class Packet54PlayNoteBlock

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet54PlayNoteBlock

-     public class Packet54PlayNoteBlock
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blockId` The block ID this action is set for.
    `int` | `instrumentType` 1=Double Bass, 2=Snare Drum, 3=Clicks / Sticks, 4=Bass Drum, 5=Harp
    `int` | `pitch` The pitch of the note (between 0-24 inclusive where 0 is the lowest and 24 is the highest).
    `int` | `xLocation`
    `int` | `yLocation`
    `int` | `zLocation`

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet54PlayNoteBlock()`
    `Packet54PlayNoteBlock(int par1, int par2, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xLocation

          public int xLocation

    - #### yLocation

          public int yLocation

    - #### zLocation

          public int zLocation

    - #### instrumentType

          public int instrumentType

      1=Double Bass, 2=Snare Drum, 3=Clicks / Sticks, 4=Bass Drum, 5=Harp

    - #### pitch

          public int pitch

      The pitch of the note (between 0-24 inclusive where 0 is the lowest and 24 is the highest).

    - #### blockId

          public int blockId

      The block ID this action is set for.

  - ### Constructor Detail

    - #### Packet54PlayNoteBlock

          public Packet54PlayNoteBlock()

    - #### Packet54PlayNoteBlock

          public Packet54PlayNoteBlock(int par1,
                               int par2,
                               int par3,
                               int par4,
                               int par5,
                               int par6)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`